- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Static Public Member Functions

# MCameraSetMessage Class Reference

# OpenMaya - API module for common classes

Search for all occurrences

## Detailed Description

CameraSet messages.

This class is used to register callbacks with cameraSet specific event types.

Using the addCallback() methods, a function can be registered that will be executed whenever the specific message/event occurs.

To remove a callback, use MMessage::removeCallback(). All callbacks that are registered by a plug-in must be removed by that plug-in when it is unloaded. Failure to do so will result in a fatal error.

`#include <MCameraSetMessage.h>`

Inheritance diagram for MCameraSetMessage:
[legend]

List of all members.

## Static Public Member Functions
static MCallbackId | addCameraLayerCallback (MMessage::MCameraLayerFunction func, void *clientData=NULL, MStatus *ReturnStatus=NULL)
| Registers callbacks for adding and removing camera layeres.
static MCallbackId | addCameraChangedCallback (MMessage::MCameraLayerCameraFunction func, void *clientData=NULL, MStatus *ReturnStatus=NULL)
| Registers callbacks for camera assignment changes to a camera layer.
static const char * | className ()
| Returns the name of this class.

## Member Function Documentation

MCallbackId addCameraLayerCallback | ( | MMessage::MCameraLayerFunction | func,
|  | void * | clientData = `NULL`,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  | `[static]`

Search for all occurrences

Registers callbacks for adding and removing camera layeres.

Parameters:

  [in] | func | the callback function

- node The cameraSet that has added or removed a layer
- multiIndex The index in the cameraLayerInfo attribute to which the layer was added or removed
- added Whether the layer was added or removed
- clientData User defined data passed to the callback function

Parameters:

  [in] | clientData | user data that will be passed to the callback function
  [out] | ReturnStatus | Status code

Returns:
  Identifier used for removing the callback.

Status Codes:
  - MS::kSuccess Operation succeeded
  - MS::kInsufficientMemory No memory available
  - MS::kFailure Error adding callback

MCallbackId addCameraChangedCallback | ( | MMessage::MCameraLayerCameraFunction | func,
|  | void * | clientData = `NULL`,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  | `[static]`

Search for all occurrences

Registers callbacks for camera assignment changes to a camera layer.

Parameters:

  [in] | func | the callback function

- node The cameraSet that has had a camera reassigned
- multiIndex The index in the cameraLayerInfo attribute to which the camera has been reassigned
- oldCamera The previously assigned camera
- newCamera The newly assigned camera
- clientData User defined data layered to the callback function

Parameters:

  [in] | clientData | user data that will be passed to the callback function
  [out] | ReturnStatus | Status code

Returns:
  Identifier used for removing the callback.

Status Codes:
  - MS::kSuccess Operation succeeded
  - MS::kInsufficientMemory No memory available
  - MS::kFailure Error adding callback

const char * className | ( |  | ) | `[static]`

Search for all occurrences

Returns the name of this class.

Returns:
  The name of this class.

Reimplemented from MMessage.

MCameraSetMessage MCameraSetMessage MCameraSetMessage MCameraSetMessage MCameraSetMessage MCameraSetMessage MCameraSetMessage MCameraSetMessage MCameraSetMessage MCameraSetMessage
MCameraSetMessage MCameraSetMessage MCameraSetMessage MCameraSetMessage MCameraSetMessage MCameraSetMessage MCameraSetMessage MCameraSetMessage MCameraSetMessage MCameraSetMessage